Bug 54974 - fsck.vfat doesn't appear to like volume labels
fsck.vfat doesn't appear to like volume labels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dosfstools (Show other bugs)
7.3
All Linux
low Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 17:16 EDT by Ben Levenson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-29 23:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-10-23 17:16:27 EDT
Description of Problem:
fsck.msdos appears to hang while checking images/devices that are created
w/ the volume-name option of mkdosfs (-n).

Version-Release number of selected component (if applicable):
dosfstools-2.7-1

How Reproducible:
100%

Steps to Reproduce:
1. dd if=/dev/zero of=/tmp/dos.img count=10 bs=1M
2. /sbin/mkdosfs -n test /tmp/dos.img
3. /sbin/fsck.vfat /tmp/dos.img
4. watch the process consume 90% of your cpu resources for 5+ minutes 
   before killing it.
I also reproduced this behavior w/ a floppy disk on my i686 workstation.
The floppy created w/ "mkdosfs -n test /dev/fd0" never completed the 
fsck, but a different floppy created w/out "-n test" fsck'd in a few 
seconds.
Comment 1 Ben Levenson 2003-10-29 23:37:53 EST
fixed in dosfstools-2.8-1 (ftp.redhat.com:/pub/redhat/linux/7.3)

Note You need to log in before you can comment on or make changes to this bug.